%define upstream_name    Code-TidyAll
%define upstream_version 0.47

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Use podchecker with tidyall
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Code/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Config::INI::Reader)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Date::Format)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Slurp::Tiny)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(File::Zglob)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Guard)
BuildRequires: perl(IPC::Run3)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(List::Compare)
BuildRequires: perl(List::SomeUtils)
BuildRequires: perl(Log::Any)
BuildRequires: perl(Moo)
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Class::Most)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(Text::Diff) >= 1.440.0
BuildRequires: perl(Text::Diff::Table)
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(Time::Duration::Parse)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(autodie)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is the engine used by tidyall - read that first to get an overview.

You can call this API from your own program instead of executing 'tidyall'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/tidyall
/usr/share/man/man1/tidyall.1.*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.470.0-2pclos2017
- rebuild against updates

